Check available content headers
Check whether an available code or file can be read without receiving its body.
HEAD
/api/v1/inventory/products/{product_id}/digital-units/{unit_id}/contentcURL request
: "${SHOPENTLY_SHOP_URL:?}"
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 300 \
--head \
--header "Authorization: Bearer ${SHOPENTLY_ACCESS_TOKEN:?}" \
--url "${SHOPENTLY_SHOP_URL%/}"/api/v1/inventory/products/example/digital-units/00000000-0000-4000-8000-000000000003/content
Response
HTTP/1.1 200
Required permissions
- Authentication
- Access token
- Available from
- STANDARD
- Key permission
- Reveal pool codes and files
inventory.digital_unit:reveal